#! /bin/sh

. /scripts/common.sh

with_time_dir () {
	mtype=$1; shift
	now=$(date --rfc-3339=s | tr ' ' T)
	mkdir -p $mtype/$now
	cd $mtype/$now
  status "reader" "$mtype"
	if ! "$@"; then
		log "$1 failed"
	else
		log "$1 succeeded"
		touch read.finished
		eject
	fi
}

while sleep 2; do
	case $(setcd -i) in
		*"Disc found in drive: audio"*)
			log "Found audio disc"
			( with_time_dir audio /scripts/cd.audio.read.sh )
			;;
		*"Disc found in drive: data"*)
			log "Found DVD"
			( with_time_dir video /scripts/dvd.video.read.sh )
			;;
		*)
			;;
	esac
  status "reader" "idle"
done

# vi: sw=2 ts=2 et ai
